﻿<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="Logbook.aspx.vb" Inherits="WebRole1.Logbook1" enableEventValidation="false" %>

<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title></title>
    </head>
    <body>
        <form id="form1" runat="server">
            <telerik:RadScriptManager ID="RadScriptManager1" Runat="server">
            </telerik:RadScriptManager>

            <div>

                <telerik:RadGrid ID="LogbookRadGrid" runat="server" AutoGenerateColumns="False" CellSpacing="0" Culture="sr-Latn-CS" GridLines="None" PageSize="100" Width="940px">
                    <ExportSettings FileName="DnevnikRada">
                        <Pdf PageHeight="29.7cm" PageWidth="21cm" PaperSize="A4" />
                    </ExportSettings>
                    <mastertableview allowpaging="True" allowsorting="True" autogeneratecolumns="False" commanditemdisplay="Top" datakeynames="RowKey" editmode="InPlace" pagesize="100">
                        <NoRecordsTemplate>
                            Nema zapisa
                        </NoRecordsTemplate>
                        <CommandItemSettings ExportToPdfText="Export to PDF" ShowAddNewRecordButton="False" ShowExportToExcelButton="True" />
                        <rowindicatorcolumn filtercontrolalttext="Filter RowIndicator column">
                        </rowindicatorcolumn>
                        <expandcollapsecolumn filtercontrolalttext="Filter ExpandColumn column">
                        </expandcollapsecolumn>
                        <Columns>
                            <telerik:GridBoundColumn DataField="PartitionKey" DefaultInsertValue="" FilterControlAltText="Filter PartitionKey column" HeaderText="Table Name" ReadOnly="True" SortExpression="PartitionKey" UniqueName="PartitionKey" Visible="False">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="RowKey" FilterControlAltText="Filter RowKey column" HeaderText="RowKey" UniqueName="RowKey" Visible="False">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="User" FilterControlAltText="Filter User column" HeaderText="User" UniqueName="User">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Description" FilterControlAltText="Filter Description column" HeaderText="Description" UniqueName="Description">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="LogDate" FilterControlAltText="Filter LogDate column" HeaderText="LogDate" SortExpression="Descending" UniqueName="LogDate">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                                <ItemStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="IP" FilterControlAltText="Filter ip column" HeaderText="IP" UniqueName="ip">
                                <ColumnValidationSettings>
                                    <ModelErrorMessage Text="" />
                                </ColumnValidationSettings>
                                <ItemStyle Width="100px" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <editformsettings>
                            <editcolumn filtercontrolalttext="Filter EditCommandColumn column">
                            </editcolumn>
                        </editformsettings>
                        <PagerStyle PageSizeControlType="RadComboBox" />
                    </mastertableview>
                    <PagerStyle PageSizeControlType="RadComboBox" />
                    <filtermenu enableimagesprites="False">
                    </filtermenu>
                    <HeaderContextMenu CssClass="GridContextMenu GridContextMenu_Default">
                    </HeaderContextMenu>
                </telerik:RadGrid>

            </div>
        </form>
    </body>
</html>
