﻿Imports System
Imports Microsoft.WindowsAzure.Storage
Imports Microsoft.WindowsAzure.Storage.Table

Public Class Logbook
    Shared Sub Enter(ByVal User As String, ByVal Description As String, ByVal IP As String)

        Try
            ' Connection to Cloud
            Dim storageAccount As CloudStorageAccount = CloudStorageAccount.Parse(ConfigurationManager.ConnectionStrings("StorageConnectionString").ConnectionString)
            ' Create the table client.
            Dim tableClient As CloudTableClient = storageAccount.CreateCloudTableClient()
            ' Create the table if it doesn't exist.
            Dim table As CloudTable = tableClient.GetTableReference("LogbookTest")
            table.CreateIfNotExists()

            ' Create a new customer entity.
            Dim zapis As New AddLogbook("LogbookTest", Now().ToString("o"))
            zapis.User = User
            zapis.Description = Description
            zapis.IP = IP
            zapis.LogDate = Now()

            ' Create the TableOperation that inserts the customer entity.
            Dim insertOperation As TableOperation = TableOperation.Insert(zapis)

            ' Execute the insert operation.
            table.Execute(insertOperation)
        Catch ex As Exception

        End Try
    End Sub

End Class

